import { ElementRef } from '@angular/core';
import { ImageGridHotSpotContentModal, ImageGridHotSpotSectionModel, ImageGridHotSpotStylesModel } from './image-grid-hotspot.model';
import BaseSection from '../BaseSection';
import { SPACING } from '../../styles/index';
import { BackgroundModel, LayOutModel } from '../../styles/style.model';
import { EventsService } from '../../services/events.service';
import * as i0 from "@angular/core";
export declare class ImageGridHotspotComponent extends BaseSection {
    private _eventService;
    imagegrid: ElementRef<HTMLElement>;
    data?: ImageGridHotSpotSectionModel;
    index?: number;
    edit?: boolean;
    customClass?: string;
    delete?: boolean;
    nextComponentColor?: BackgroundModel;
    _mainContainer: ElementRef | null;
    content?: ImageGridHotSpotContentModal;
    style?: ImageGridHotSpotStylesModel;
    constructor(_eventService: EventsService);
    ngOnInit(): void;
    get stylesLayout(): LayOutModel;
    get headingSpace(): SPACING;
    editSection(): void;
    getLength(): number;
    getJustifyContent(): "" | import("simpo-component-library").ALIGN | "flex-start";
    private get scrollStep();
    scrollRight(): void;
    isOverflowing: boolean;
    atStart: boolean;
    atEnd: boolean;
    private ro?;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    private updateEdges;
    checkOverflow(): void;
    onScroll(): void;
    scrollLeft(): void;
    dragging: boolean;
    dragHotspot(event: any, spot: any): void;
    openedHotspotId: string | null;
    toggleHotspot(event: MouseEvent, spot: any): void;
    closeHotspot(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ImageGridHotspotComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ImageGridHotspotComponent, "simpo-image-grid-hotspot", never, { "data": { "alias": "data"; "required": false; }; "index": { "alias": "index"; "required": false; }; "edit": { "alias": "edit"; "required": false; }; "customClass": { "alias": "customClass"; "required": false; }; "delete": { "alias": "delete"; "required": false; }; "nextComponentColor": { "alias": "nextComponentColor"; "required": false; }; }, {}, never, never, true, never>;
}
